Bug 165280 - sqlite2 component build failure
Summary: sqlite2 component build failure
Status: RESOLVED FIXED
Alias: None
Product: digikam
Classification: Unclassified
Component: Database-Sqlite (show other bugs)
Version: unspecified
Platform: Compiled Sources Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Digikam Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-06-29 10:07 UTC by Treeve Jelbert
Modified: 2017-07-25 10:51 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In: 0.10.0


Attachments
patch to use extragear/graphics parent folder as include path (where config.h is) (375 bytes, patch)
2008-06-29 10:42 UTC, caulier.gilles
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Treeve Jelbert 2008-06-29 10:07:37 UTC
Version:            (using Devel)
Installed from:    Compiled sources
Compiler:          gcc-4.3.1 
OS:                Linux

[ 21%] Building C object digikam/CMakeFiles/digikamdatabase.dir/__/libs/database/sqlite2/attach.o
In file included from /usr/src/digikam-svn/libs/database/sqlite2/attach.c:16:
/usr/src/digikam-svn/libs/database/sqlite2/sqliteInt.h:16:20: error: config.h: No such file or directory
make[2]: *** [digikam/CMakeFiles/digikamdatabase.dir/__/libs/database/sqlite2/attach.o] Error1
make[1]: *** [digikam/CMakeFiles/digikamdatabase.dir/all] Error 2
Comment 1 caulier.gilles 2008-06-29 10:42:34 UTC
Created attachment 25692 [details]
patch to use extragear/graphics parent folder as include path (where config.h is)
Comment 2 caulier.gilles 2008-06-29 18:09:25 UTC
Treeve,

Patch given with #1 solve the problem ?

How do you run cmake to compile digiKam. are you checkout digikam code like it's explained at the bottom of this page :

http://www.digikam.org/drupal/download?q=download/svn

Gilles Caulier
Comment 3 caulier.gilles 2008-07-04 13:59:22 UTC
SVN commit 828013 by cgilles:

compile as stand alone 
BUGS: 165280


 M  +3 -0      sqliteInt.h  


WebSVN link: http://websvn.kde.org/?view=rev&revision=828013